Skip to main content
POST
/
agent
/
version
/
get
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
    "version": "69f884d50c4e5a2dc72277d4"
}

response = client.agents.get_version(**payload)
print(response)
{
  "version_id": "69c228b11e62cb42009fe445",
  "agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
  "version": "1.0.1",
  "assistant_config": {
    "id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
    "orgId": "1d23cc8c-8ccb-4a19-a1e8-d2dc72e8848d",
    "name": "Acme Dental Clinic - AI Receptionist",
    "voice": {
      "model": "eleven_turbo_v2_5",
      "voiceId": "EXAVITQu4vr4xnSDxMaL",
      "provider": "11labs"
    },
    "model": {
      "model": "openai/gpt-oss-120b",
      "provider": "groq",
      "messages": [
        {
          "role": "system",
          "content": "You are Emma, the warm and professional AI receptionist for Acme Dental Clinic..."
        }
      ]
    },
    "firstMessage": "Thank you for calling Acme Dental Clinic! This is Emma. How can I help you today?",
    "transcriber": {
      "model": "nova-2",
      "language": "en",
      "provider": "deepgram"
    },
    "analysisPlan": {
      "summaryPlan": {
        "messages": [
          {
            "role": "system",
            "content": "Create a concise call summary and structured details..."
          }
        ]
      }
    },
    "messagePlan": {
      "idleMessages": [
        "Are you there?",
        "Can you hear me?",
        "Should I continue?"
      ],
      "idleMessageMaxSpokenCount": 2,
      "idleTimeoutSeconds": 5
    },
    "server": {
      "url": "https://voip-middlware.superu.ai/vapi/webhook",
      "timeoutSeconds": 20
    }
  },
  "knowledge_base": {},
  "tools": [],
  "composio_app": {},
  "call_forwarding": null,
  "created_at": "2026-03-24 06:01:21"
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Get agent version.

Agent Version Get Request schema.

agent_id
string
required

Agent ID

Example:

"04cf74f7-019b-4c3d-883c-610a42b32bc4"

version
string
required

Version ID

Example:

"69f884d50c4e5a2dc72277d4"

Response

Version retrieved

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.